package com.qmth.jkserver.dto;

import java.util.List;

import com.qmth.jkserver.enums.ExamType;
import com.qmth.jkserver.model.ExamRoom;
import com.qmth.jkserver.model.ExamStage;
import com.qmth.jkserver.model.KwFile;

//考务数据对象
public class KWObjectDto {
	
	//考试识别码
	private String examCode;
	
	//考试类型
	private ExamType examType;
	
	//考务文件
	private KwFile kwFile;
	
	//场次
	private List<ExamStage> stages;
	
	//考场信息
	private List<ExamRoom> rooms;

	/**
	 * @return the examCode
	 */
	public String getExamCode() {
		return examCode;
	}

	/**
	 * @param examCode the examCode to set
	 */
	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	/**
	 * @return the kwFile
	 */
	public KwFile getKwFile() {
		return kwFile;
	}

	/**
	 * @param kwFile the kwFile to set
	 */
	public void setKwFile(KwFile kwFile) {
		this.kwFile = kwFile;
	}

	/**
	 * @return the stages
	 */
	public List<ExamStage> getStages() {
		return stages;
	}

	/**
	 * @param stages the stages to set
	 */
	public void setStages(List<ExamStage> stages) {
		this.stages = stages;
	}

	/**
	 * @return the rooms
	 */
	public List<ExamRoom> getRooms() {
		return rooms;
	}

	/**
	 * @param rooms the rooms to set
	 */
	public void setRooms(List<ExamRoom> rooms) {
		this.rooms = rooms;
	}

	/**
	 * @return the examType
	 */
	public ExamType getExamType() {
		return examType;
	}

	/**
	 * @param examType the examType to set
	 */
	public void setExamType(ExamType examType) {
		this.examType = examType;
	}
}
